"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_file_list_exec_source_files
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_file_list_exec_source_files class methodsFor:'documentation'!

documentation
"
The `-file-list-exec-source-files' Command
------------------------------------------

Synopsis
........

      -file-list-exec-source-files

   List the source files for the current executable.

   It will always output both the filename and fullname (absolute file
name) of a source file.

{No value for `GDBN'} Command
.............................

The {No value for `GDBN'} equivalent is `info sources'.  `gdbtk' has an
analogous command `gdb_listfiles'.

Example
.......

     (gdb)
     -file-list-exec-source-files
     ^done,files=[
     {file=foo.c,fullname=/home/foo.c},
     {file=/home/bar.c,fullname=/home/bar.c},
     {file=gdb_could_not_find_fullpath.c}]
     (gdb)


"
! !

!GDBMI_file_list_exec_source_files methodsFor:'accessing'!

operation
	^ 'file-list-exec-source-files'
! !

!GDBMI_file_list_exec_source_files class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

